@charset "UTF-8";
#delivery_address {
    font-size: .7rem;
    height: 100%;
    background: #fff;
}

#delivery_address input[type=text] {
    position: absolute;
    top: 0;
    width: calc(100% - 16%);
    height: 100%;
    color: #333;
}

.addressChoose {
    color: #FA6B02;
}

.rocket {
    position: relative;
    top: 0;
    left: 40%;
    width: 4rem;
    height: 4rem;
    background-size: 4rem 4rem;
    margin-top: 8.15rem;
    margin-bottom: 1rem;
}

.address_foot {
    position: fixed;
    bottom: 0;
    width: 100%;
    height: 2.25rem;
    line-height: 2.25rem;
}

.address_foot a:focus {
    color: #fff;
}

.add_dress,
.wechat_add {
    display: inline-block;
    height: 2.25rem;
    line-height: 2.25rem;
    text-align: center;
    color: #fff;
    font-size: .8rem;
}

.add_dress {
    width: 60%;
    background: #FA6B02;
    float: left;
}

.add_dress:focus,
.add_dress:hover {
    color: #fff;
}

.wechat_add {
    width: 40%;
    background: #56A949;
}

.add_dress i,
.wechat_add i {
    display: inline-block;
    width: 1.1rem;
    height: 1.1rem;
    margin-right: .5rem;
    position: relative;
    top: .32rem;
    left: 0;
}

.add_dress i {
    background: url(/app/style/home/image/add.png) no-repeat;
    background-size: 100% 100%;
}

.wechat_add i {
    background: url(/app/style/home/image/address_wechat.png) no-repeat;
    background-size: 100% 100%;
}


/*无收货地址*/

.delivery_tips {
    text-align: center;
}


/*有收货地址*/

.add_checked {
    height: 3.35rem;
}

.add_checked p {
    height: 1.66rem;
    line-height: 1.66rem;
    overflow: hidden;
}

.set_address {
    font-size: .55rem;
    border-top: 1px solid #E6E6E6;
}

.set_address>div {
    height: 2rem;
    line-height: 2rem;
}

.del_handle img {
    position: relative;
    top: -.1rem;
    width: .8rem;
    height: .8rem;
    background-size: .8rem .8rem;
    margin-right: .25rem;
}

.redact {
    margin-right: 1rem;
    color: #333;
}

.interval {
    width: 100%;
    height: .25rem;
    background: #e3e3e3;
}

.delete,
.set_address_top {
    color: #333;
}

.set_address_top label {
    font-weight: normal;
}

.set_address_main p {
    height: 1.45rem;
    line-height: 1.45rem;
}


/*编辑收货地址*/

.redact_user,
.redact_num,
.redact_province,
.redact_city,
.redact_region {
    position: relative;
    top: 0;
    left: 0;
    height: 2.2rem;
    line-height: 2.2rem;
    border-bottom: 1px solid #E6E6E6;
}

.redact_num i {
    margin: .5rem;
}

.redact_address {
    height: 4rem;
    margin-bottom: 1.5rem;
    border-bottom: 1px solid #E6E6E6;
}

.redact_btn {
    width: 100%;
    height: 2.2rem;
    margin-bottom: 1rem;
    color: #fff;
    font-weight: bold;
    font-size: .8rem;
    background: #FA6B02;
    border: none;
    border-radius: .1rem;
}

.redact_btn:focus {
    outline: none;
}

.redact_form {
    color: #333;
}

.redact_form span {
    width: 16%;
    height: 100%;
    display: inline-block;
    float: left;
}

.redact_r {
    width: 83%;
    height: 100%;
    display: inline-block;
}

.redact_r select {
    width: 97%;
    height: 1.8rem;
    line-height: 1.8rem;
    display: inline-block;
    border: none;
    font-size: .7rem;
    color: #A3A3A3;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background: #fff;
}

.redact_r select:focus {
    outline: none;
}

.redact_r i {
    position: relative;
    top: .775rem;
    left: 0;
}

.redact_address textarea {
    height: 3.35rem;
    width: 100%;
    resize: none;
    font-size: .7rem;
    padding: .5rem 0;
    color: #333;
}

.verify {
    display: block;
    font-size: .75rem;
    text-align: center;
    margin-top: .25rem;
}

.cancel {
    border-right: 1px solid #e6e6e6;
}

#delivery_address .tool {
    margin-top: .5rem;
    font-size: .5rem;
    color: gray;
    text-align: center;
}